“花夜前行解雨臣黑眼镜为双主角状态”
——公众号 南派三叔盗墓笔记

MediaWiki:Common.css:修订间差异

来自瑞恩罗恰德资料库
跳转到导航 跳转到搜索
Koiori留言 | 贡献
无编辑摘要
Koiori留言 | 贡献
无编辑摘要
第1行: 第1行:
/* 背景 */
body,html {
width:100%;
height:100%;
padding:0;
margin:0
}
 
 
/* WIKI背景图 */
body {
body {
background:url("https://message.biliimg.com/bfs/im/091b99c8bff3aef1c823126bf18d992c22555b66.png") no-repeat fixed 50% 0;
background:url("https://patchwiki.biligame.com/images/umamusume/a/ae/0o5v7jr3cqggjele4zr8jl2rrhvbzp4.png") no-repeat fixed 50% 0;
background-size:cover;
background-size:cover;
}
}
.mw-special-ApiHelp {
/* WIKI页面透明化 */
     background: url("https://message.biliimg.com/bfs/im/10b1343d53bd88ecae885d93fb6793c78794b7b9.png") no-repeat fixed 50% 0;
.game-bg {
background-size:cover;
     background: rgb(255 255 255 / 84%);
color:#ffffff
}
.wiki-header {
    background: transparent;
}
}
 
/* 导航菜单 */
p {margin: 0;}
.wiki-header .wiki-nav {
 
    border: 1px solid #d0d0d0;
.resp-tab-content p {
    background: #fff;
margin:0;
}
}
 
.menu-wrap .wiki-menu-li-1 {
.full-width {
    border-bottom: 0px solid rgba(0,0,0,.16);
width: 100% !important;
}
}


.mw-indicators {
.wiki-header .wiki-nav .nav-search-box {
display: none;
    border-bottom: 0px solid rgba(0, 0, 0, 0.16);
}
}


.comment-container {
    margin-top: 1em;
    background: white;
}


/* Nav */
/* ################新版页面开始################ */
.wiki-header {
/* 添加毛玻璃效果 */
z-index: 1;
.game-bg {
  position:relative;
  margin-top: 10px;
  border-radius: 16px;
}
}


.wiki-header .wiki-nav-celling {
.game-bg:before {
background: transparent;
  content:"";
}
  position:absolute;
.wiki-header .wiki-nav .celling-box {
  top: 0;
background: #2D2D2D;
  left: 0;
box-shadow: 0 6px 12px 0 rgba(0,0,0,0.6);
  backdrop-filter: blur(12px);
  width: 100%;
  height: 100%;
  border-radius: 16px;
}
}


 
/* 顶部菜单美化 -部分参考自原神WIKI */
.menu-wrap .wiki-menu-li-1 {
.menu-wrap .wiki-menu-li-1 {
background: transparent;
    background: -10px -1px,linear-gradient(#B0E13E,#6BC30F) !important;
    position: relative;
    background-repeat: no-repeat !important;
    box-shadow: -1px -1px 2px rgba(102,102,102,0.33) inset, 1px 1px 2px rgba(255,255,255,0.66) inset;
    border-radius: 2px;
    font-size: 16px;
}
}


.menu-wrap .wiki-menu-li-1>a {
.menu-wrap .wiki-menu-li-1>a {
color: white;
    color: white !important;
    text-shadow: 1px 2px 2px rgba(102,102,102,0.33);
    font-weight: bold;
}
 
.menu-wrap .wiki-menu-li-1 a:hover {
filter: brightness(0.9);
}
}


/* Sep out local notice */
.menu-wrap .wiki-menu-li-1 a:hover::before {
#bodyContent, #flowthread {
content: "";
padding: 2rem;
position: absolute;
    background: white;
left: 8px;
top: 8px;
background: url("https://patchwiki.biligame.com/images/umamusume/thumb/8/8c/f2vchfk2k64m6tca70w0517i66ktu3h.svg/24px-UI_Mark.svg.png") no-repeat;
width: 18px;
background-size: 100% 100%;
height: 36px;
filter: brightness(0.9);
z-index: 999;
cursor: url(https://patchwiki.biligame.com/images/umamusume/a/ae/o0htx7vga5rt00mdmj8lee5unlcfz8y.png),auto;
}
}


@media (min-width: 768px){
.menu-wrap .wiki-menu-li-1:first-child {
.game-bg {
     border-radius: 6px 0 0 6px;
     background: transparent;
     background: url(https://patchwiki.biligame.com/images/umamusume/1/1c/mlt9l0x6gk94abmu7kgwg56q44j4gcp.png) -10px -1px,linear-gradient(#B0E13E,#6BC30F) !important;
     padding: 0;
    box-shadow: none;
}
}
.firstHeadingTools {
 
    margin-bottom: 0px;
.menu-wrap .wiki-menu-li-1:last-child {
    background: #fff;
     border-radius: 0 6px 6px 0;
     padding-left: 10px;
}
}
#firstHeading {
 
    background: #fff;
.menu-wrap .wiki-menu-ul-2 {
    padding-left: 10px;
background: #fff !important;
border-radius: 0 8px 8px 8px;
box-shadow: 0 1px 4px #ccc;
}
}
.mw-body h1, .mw-body-content h1, .mw-body-content h2 {
.menu-wrap .wiki-menu-li-2 {
    margin-bottom: 0px;
position: relative;
}
}
.menu-wrap .wiki-menu-li-2 a {
    background: #fff !important;
    color: rgb(121,90,54) !important;
}
}


@media (max-width: 759px) {
.menu-wrap .wiki-menu-li-2:hover {
#bodyContent {
filter: brightness(0.9);
padding: 0;
font-weight: bold !important;
}
}
.menu-wrap .wiki-menu-li-2:hover::before {
  content: "";
  position: absolute;
  left: 6px;
  top: 8px;
  background: url("https://patchwiki.biligame.com/images/umamusume/thumb/8/8c/f2vchfk2k64m6tca70w0517i66ktu3h.svg/24px-UI_Mark.svg.png") no-repeat;
  width: 18px;
  background-size: 100% 100%;
  height: 36px;
  filter: invert(0.7) sepia(1);
  z-index: 9999;
  cursor: url(https://patchwiki.biligame.com/images/umamusume/a/ae/o0htx7vga5rt00mdmj8lee5unlcfz8y.png),auto;
}
}


.page-首页 > .game-bg > .mw-body > #bodyContent {
.wiki-hoverbox .wiki-hoverbox-inner {
padding: 0;
background: #fff;
box-shadow: 0 1px 4px #ccc;
border-radius: 8px;
}
}


/*#contentSub{
.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3 {
display:none;
position: relative;
} */
}
.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3 a {
    background: #fff !important;
    color: rgb(121,90,54) !important;
    text-decoration: none;
}


@media (min-width: 982px){
.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3:hover {
.client-js #mw-content-text {
filter: brightness(0.9);
    margin: 0;
font-weight: bold !important;
}
}
.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3:hover::before {
  content: "";
  position: absolute;
  left: 6px;
  top: 8px;
  background: url("https://patchwiki.biligame.com/images/umamusume/thumb/8/8c/f2vchfk2k64m6tca70w0517i66ktu3h.svg/24px-UI_Mark.svg.png") no-repeat;
  width: 18px;
  background-size: 100% 100%;
  height: 36px;
  filter: invert(0.7) sepia(1);
  z-index: 9999;
  cursor: url(https://patchwiki.biligame.com/images/umamusume/a/ae/o0htx7vga5rt00mdmj8lee5unlcfz8y.png),auto;
}
}

2026年6月16日 (二) 21:32的版本

body,html {
	width:100%;
	height:100%;
	padding:0;
	margin:0
}


/* WIKI背景图 */
body {
	background:url("https://patchwiki.biligame.com/images/umamusume/a/ae/0o5v7jr3cqggjele4zr8jl2rrhvbzp4.png") no-repeat fixed 50% 0;
	background-size:cover;
}
/* WIKI页面透明化 */
.game-bg {
    background: rgb(255 255 255 / 84%);
}
.wiki-header {
    background: transparent;
}
/* 导航菜单 */
.wiki-header .wiki-nav {
    border: 1px solid #d0d0d0;
    background: #fff;
}
.menu-wrap .wiki-menu-li-1 {
    border-bottom: 0px solid rgba(0,0,0,.16);
}

.wiki-header .wiki-nav .nav-search-box {
    border-bottom: 0px solid rgba(0, 0, 0, 0.16);
}


/* ################新版页面开始################ */
/* 添加毛玻璃效果 */
.game-bg {
  position:relative;
  margin-top: 10px;
  border-radius: 16px;
}

.game-bg:before {
  content:"";
  position:absolute;
  top: 0;
  left: 0;
  backdrop-filter: blur(12px);
  width: 100%;
  height: 100%;
  border-radius: 16px;
}

/* 顶部菜单美化 -部分参考自原神WIKI */
.menu-wrap .wiki-menu-li-1 {
    background: -10px -1px,linear-gradient(#B0E13E,#6BC30F) !important; 
    position: relative;
    background-repeat: no-repeat !important;
    box-shadow: -1px -1px 2px rgba(102,102,102,0.33) inset, 1px 1px 2px rgba(255,255,255,0.66) inset;
    border-radius: 2px;
    font-size: 16px;
}

.menu-wrap .wiki-menu-li-1>a {
    color: white !important;
    text-shadow: 1px 2px 2px rgba(102,102,102,0.33);
    font-weight: bold;
}

.menu-wrap .wiki-menu-li-1 a:hover {
	filter: brightness(0.9);
}

.menu-wrap .wiki-menu-li-1 a:hover::before {
	content: "";
	position: absolute;
	left: 8px;
	top: 8px;
	background: url("https://patchwiki.biligame.com/images/umamusume/thumb/8/8c/f2vchfk2k64m6tca70w0517i66ktu3h.svg/24px-UI_Mark.svg.png") no-repeat;
	width: 18px;
	background-size: 100% 100%;
	height: 36px;
	filter: brightness(0.9);
	z-index: 999;
	cursor: url(https://patchwiki.biligame.com/images/umamusume/a/ae/o0htx7vga5rt00mdmj8lee5unlcfz8y.png),auto;
}

.menu-wrap .wiki-menu-li-1:first-child {
    border-radius: 6px 0 0 6px;
    background: url(https://patchwiki.biligame.com/images/umamusume/1/1c/mlt9l0x6gk94abmu7kgwg56q44j4gcp.png) -10px -1px,linear-gradient(#B0E13E,#6BC30F) !important;
}

.menu-wrap .wiki-menu-li-1:last-child {
    border-radius: 0 6px 6px 0;
}

.menu-wrap .wiki-menu-ul-2 {
	background: #fff !important;
	border-radius: 0 8px 8px 8px;
	box-shadow: 0 1px 4px #ccc;
}
.menu-wrap .wiki-menu-li-2 {
	position: relative;
}
.menu-wrap .wiki-menu-li-2 a {
    background: #fff !important; 
    color: rgb(121,90,54) !important;

}

.menu-wrap .wiki-menu-li-2:hover {
	filter: brightness(0.9);
	font-weight: bold !important;
}

.menu-wrap .wiki-menu-li-2:hover::before {
  content: "";
  position: absolute;
  left: 6px;
  top: 8px;
  background: url("https://patchwiki.biligame.com/images/umamusume/thumb/8/8c/f2vchfk2k64m6tca70w0517i66ktu3h.svg/24px-UI_Mark.svg.png") no-repeat;
  width: 18px;
  background-size: 100% 100%;
  height: 36px;
  filter: invert(0.7) sepia(1);
  z-index: 9999;
  cursor: url(https://patchwiki.biligame.com/images/umamusume/a/ae/o0htx7vga5rt00mdmj8lee5unlcfz8y.png),auto;
}

.wiki-hoverbox .wiki-hoverbox-inner {
	background: #fff;
	box-shadow:  0 1px 4px #ccc;
	border-radius: 8px;
}

.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3 {
	position: relative;
}
.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3 a {
    background: #fff !important; 
    color: rgb(121,90,54) !important;
    text-decoration: none;
}

.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3:hover {
	filter: brightness(0.9);
	font-weight: bold !important;
}

.wiki-hoverbox .wiki-hoverbox-inner .wiki-menu-li-3:hover::before {
  content: "";
  position: absolute;
  left: 6px;
  top: 8px;
  background: url("https://patchwiki.biligame.com/images/umamusume/thumb/8/8c/f2vchfk2k64m6tca70w0517i66ktu3h.svg/24px-UI_Mark.svg.png") no-repeat;
  width: 18px;
  background-size: 100% 100%;
  height: 36px;
  filter: invert(0.7) sepia(1);
  z-index: 9999;
  cursor: url(https://patchwiki.biligame.com/images/umamusume/a/ae/o0htx7vga5rt00mdmj8lee5unlcfz8y.png),auto;
}